curl --request GET \
--url https://api.withterminal.com/tsp/v1/trailers \
--header 'Authorization: Bearer <token>' \
--header 'Connection-Token: <connection-token>'import requests
url = "https://api.withterminal.com/tsp/v1/trailers"
headers = {
"Connection-Token": "<connection-token>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Connection-Token': '<connection-token>', Authorization: 'Bearer <token>'}
};
fetch('https://api.withterminal.com/tsp/v1/trailers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "trl_01D8ZQFGHVJ858NBF2Q7DV9MNC",
"sourceId": "123456789",
"provider": "geotab",
"status": "active",
"metadata": {
"addedAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"visibility": "visible"
},
"name": "Trailer #02323",
"vin": "1HGCM82633A004352",
"serialNumber": "004352",
"make": "Great Dane Trailers",
"model": "Champion CP Plate Van with 24 Posts",
"year": 2013,
"groups": [
"group_01D8ZQFGHVJ858NBF2Q7DV9MNC"
],
"licensePlate": {
"state": "TN",
"number": "ABC-1234"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"raw": []
}
],
"next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"
}{
"code": "bad_request",
"message": "Invalid request body",
"detail": [
{
"message": "'vehicleId' property must be a valid ulid",
"path": "{requestQuery}.vehicleId",
"suggestion": "Please ensure you submit a valid 'vehicleId' property",
"context": {}
}
]
}{
"code": "unauthorized",
"message": "Unauthorized Request",
"detail": "Please ensure you have a valid API key"
}{
"code": "forbidden",
"message": "Forbidden Request",
"detail": "Please ensure the connection token matches the resource you are attempting to access."
}{
"code": "connection_deleted",
"message": "Connection has been deleted and cannot be used"
}{
"code": "too_many_requests",
"message": "Too Many Requests",
"retryAfter": 60,
"detail": "You have exceeded your rate limit. Please try again later."
}{
"code": "internal_server_error",
"message": "Internal Server Error",
"detail": "Something went wrong"
}{
"code": "gateway_timeout",
"message": "Gateway Timeout"
}List Trailers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Scopes the request to a Terminal application in the caller's organization. Required for multi-application organizations when using a user session or OAuth access token. API keys are already bound to a single application.
The token returned when a user authenticated their account. This authorizes access to a specific account.
^con_tkn_\S+$"con_tkn_22vUhkC6tgre4kwaYfUkCDA1rzn6eyb4"
Query Parameters
The maximum number of results to return in a page.
Pagination cursor to start requests from
^[A-Za-z0-9+/=_-]+$"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"
Expand resources in the returned response
groups Include raw responses used to normalize model. Used for debugging or accessing unique properties that are not unified.
Only include records that were last modified after a provided date.
"2021-01-06T03:24:53.000Z"
Only include records that were last modified before a provided date.
"2021-01-06T03:24:53.000Z"
Show "soft-deleted" records that have been deleted from the provider. Defaults to false.